Subject: Re: [PATCH] DMA 4GB boundary protection

From: Christoph Hellwig <[email-masked]>
Date: Sun, 4 Mar 2007 06:17:38 +0100

On Sat, Mar 03, 2007 at 09:27:31AM +0100, Benjamin Herrenschmidt wrote:
> - Drivers are broken -today- and I doubt they can all be audited and
> fixed (and fixes bacported to distros) quickly

Which drivers?  All requests coming from the block layer make sure
you never span the 4GB boundary, and IIRC that same is true for
networking.  Similarly dma_alloc_coherent and pci_alloc_consinstant
only allocate from the lower 4G unless told otherwise.  A driver writer
would have to be extra-ordinarily stuid to get this wrong.  (And yes,
some driver writers are..)